<html>
<head>
<title>OGRE: Member List - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<h1>Ogre::ParticleSystemManager Member List</h1>This is the complete list of members for <a class="el" href="classOgre_1_1ParticleSystemManager.html">Ogre::ParticleSystemManager</a>, including all inherited members.<p><table>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ParticleSystemManager.html#3936f1ec68cbd266c1a7b75029a87bce">_createAffector</a>(const String &amp;affectorType, ParticleSystem *psys)</td><td><a class="el" href="classOgre_1_1ParticleSystemManager.html">Ogre::ParticleSystemManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ParticleSystemManager.html#a8a5eb5e5bbacca1640eb2c040e86bde">_createEmitter</a>(const String &amp;emitterType, ParticleSystem *psys)</td><td><a class="el" href="classOgre_1_1ParticleSystemManager.html">Ogre::ParticleSystemManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ParticleSystemManager.html#e17fa2066dbfff692b45d26dcd31c7b9">_createRenderer</a>(const String &amp;rendererType)</td><td><a class="el" href="classOgre_1_1ParticleSystemManager.html">Ogre::ParticleSystemManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ParticleSystemManager.html#2f5fec80e6489a218c8d3407a2d5a6e9">_destroyAffector</a>(ParticleAffector *affector)</td><td><a class="el" href="classOgre_1_1ParticleSystemManager.html">Ogre::ParticleSystemManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ParticleSystemManager.html#10f79cb98ca93df0104fd04230d09f0d">_destroyEmitter</a>(ParticleEmitter *emitter)</td><td><a class="el" href="classOgre_1_1ParticleSystemManager.html">Ogre::ParticleSystemManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ParticleSystemManager.html#c1dd25a362850584a0dc7a2227b4f840">_destroyRenderer</a>(ParticleSystemRenderer *renderer)</td><td><a class="el" href="classOgre_1_1ParticleSystemManager.html">Ogre::ParticleSystemManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ParticleSystemManager.html#b1304f08164981cb28954fa0fed6351c">_getFactory</a>(void)</td><td><a class="el" href="classOgre_1_1ParticleSystemManager.html">Ogre::ParticleSystemManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ParticleSystemManager.html#dd15cf5f54484482a1cd37a8d3300c6b">_initialise</a>(void)</td><td><a class="el" href="classOgre_1_1ParticleSystemManager.html">Ogre::ParticleSystemManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ParticleSystemManager.html#602a4d23eb415b291f66f83423891911">addAffectorFactory</a>(ParticleAffectorFactory *factory)</td><td><a class="el" href="classOgre_1_1ParticleSystemManager.html">Ogre::ParticleSystemManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ParticleSystemManager.html#490aff428f1680806e1928782e2c12fb">addEmitterFactory</a>(ParticleEmitterFactory *factory)</td><td><a class="el" href="classOgre_1_1ParticleSystemManager.html">Ogre::ParticleSystemManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ParticleSystemManager.html#448961936e5ca24ced6f69146f8be8cd">addRendererFactory</a>(ParticleSystemRendererFactory *factory)</td><td><a class="el" href="classOgre_1_1ParticleSystemManager.html">Ogre::ParticleSystemManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ParticleSystemManager.html#b9bc0806919eee426e09ec31c2c4d59a">addTemplate</a>(const String &amp;name, ParticleSystem *sysTemplate)</td><td><a class="el" href="classOgre_1_1ParticleSystemManager.html">Ogre::ParticleSystemManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ParticleSystemManager.html#5dca37922f20f1d3ad5248ad070d4bc2">createSystemImpl</a>(const String &amp;name, size_t quota, const String &amp;resourceGroup)</td><td><a class="el" href="classOgre_1_1ParticleSystemManager.html">Ogre::ParticleSystemManager</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ParticleSystemManager.html#344c71ba53045a03d4638af2bc4cd96e">createSystemImpl</a>(const String &amp;name, const String &amp;templateName)</td><td><a class="el" href="classOgre_1_1ParticleSystemManager.html">Ogre::ParticleSystemManager</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ParticleSystemManager.html#c3b4d8e5717c7eb97a06ed0585709ce5">createTemplate</a>(const String &amp;name, const String &amp;resourceGroup)</td><td><a class="el" href="classOgre_1_1ParticleSystemManager.html">Ogre::ParticleSystemManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ParticleSystemManager.html#826ce3c2601672ce3f6e4d3810d744fd">destroySystemImpl</a>(ParticleSystem *sys)</td><td><a class="el" href="classOgre_1_1ParticleSystemManager.html">Ogre::ParticleSystemManager</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ParticleSystemManager.html#0a7d5c8ee754b7559e9701df048f3777">getAffectorFactoryIterator</a>(void)</td><td><a class="el" href="classOgre_1_1ParticleSystemManager.html">Ogre::ParticleSystemManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ParticleSystemManager.html#09b60382058f433aa0bfa709d876487e">getEmitterFactoryIterator</a>(void)</td><td><a class="el" href="classOgre_1_1ParticleSystemManager.html">Ogre::ParticleSystemManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ParticleSystemManager.html#acabac2c2f38df11a51972c215645752">getLoadingOrder</a>(void) const </td><td><a class="el" href="classOgre_1_1ParticleSystemManager.html">Ogre::ParticleSystemManager</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ParticleSystemManager.html#641d951f1c3f9693be0ca7bdedcf80fc">getRendererFactoryIterator</a>(void)</td><td><a class="el" href="classOgre_1_1ParticleSystemManager.html">Ogre::ParticleSystemManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ParticleSystemManager.html#be3232bc03e3922103cff68713975b62">getScriptPatterns</a>(void) const </td><td><a class="el" href="classOgre_1_1ParticleSystemManager.html">Ogre::ParticleSystemManager</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ParticleSystemManager.html#970140febaf5f8e2dd54bfe14da7353c">getSingleton</a>(void)</td><td><a class="el" href="classOgre_1_1ParticleSystemManager.html">Ogre::ParticleSystemManager</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ParticleSystemManager.html#34314a29330b8063e1dc6f5fd3fabc63">getSingletonPtr</a>(void)</td><td><a class="el" href="classOgre_1_1ParticleSystemManager.html">Ogre::ParticleSystemManager</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ParticleSystemManager.html#d27f7885e4d06f37f389519cc541cda5">getTemplate</a>(const String &amp;name)</td><td><a class="el" href="classOgre_1_1ParticleSystemManager.html">Ogre::ParticleSystemManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ParticleSystemManager.html#1b4d71c58e8d0e738a252e73638a13fd">getTemplateIterator</a>(void)</td><td><a class="el" href="classOgre_1_1ParticleSystemManager.html">Ogre::ParticleSystemManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ParticleSystemManager.html#6b524e17f5d9ff0ff4db12ee1402cbd4">mAffectorFactories</a></td><td><a class="el" href="classOgre_1_1ParticleSystemManager.html">Ogre::ParticleSystemManager</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ParticleSystemManager.html#ffd2180972e44f713c8df67461673cf7">mEmitterFactories</a></td><td><a class="el" href="classOgre_1_1ParticleSystemManager.html">Ogre::ParticleSystemManager</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ParticleSystemManager.html#6fa507c91fc408e74c91dcd875b93d5d">mFactory</a></td><td><a class="el" href="classOgre_1_1ParticleSystemManager.html">Ogre::ParticleSystemManager</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ParticleSystemManager.html#d54c551001dfb9c41bcf600a2e54b950">mRendererFactories</a></td><td><a class="el" href="classOgre_1_1ParticleSystemManager.html">Ogre::ParticleSystemManager</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Singleton.html#d36ac06b409a2d580217328ef2cd3a01">ms_Singleton</a></td><td><a class="el" href="classOgre_1_1Singleton.html">Ogre::Singleton&lt; T &gt;</a></td><td><code> [protected, static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ParticleSystemManager.html#4780609106a121596dafbe3cff3342a7">mScriptPatterns</a></td><td><a class="el" href="classOgre_1_1ParticleSystemManager.html">Ogre::ParticleSystemManager</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ParticleSystemManager.html#5b552370a32ad1348b2efd7a9e253d84">mSystemTemplates</a></td><td><a class="el" href="classOgre_1_1ParticleSystemManager.html">Ogre::ParticleSystemManager</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ParticleSystemManager.html#1247de4dc4bb26d5639782927ae396b1">parseAffectorAttrib</a>(const String &amp;line, ParticleAffector *sys)</td><td><a class="el" href="classOgre_1_1ParticleSystemManager.html">Ogre::ParticleSystemManager</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ParticleSystemManager.html#c131dda765783498fc294eb85dc5cff4">parseAttrib</a>(const String &amp;line, ParticleSystem *sys)</td><td><a class="el" href="classOgre_1_1ParticleSystemManager.html">Ogre::ParticleSystemManager</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ParticleSystemManager.html#2f5117940dc7f83145d06ae3330eca31">parseEmitterAttrib</a>(const String &amp;line, ParticleEmitter *sys)</td><td><a class="el" href="classOgre_1_1ParticleSystemManager.html">Ogre::ParticleSystemManager</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ParticleSystemManager.html#95eebffb34ff9948c026ba62431359d1">parseNewAffector</a>(const String &amp;type, DataStreamPtr &amp;chunk, ParticleSystem *sys)</td><td><a class="el" href="classOgre_1_1ParticleSystemManager.html">Ogre::ParticleSystemManager</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ParticleSystemManager.html#7529fba132cdf83060ed01e2309f52b8">parseNewEmitter</a>(const String &amp;type, DataStreamPtr &amp;chunk, ParticleSystem *sys)</td><td><a class="el" href="classOgre_1_1ParticleSystemManager.html">Ogre::ParticleSystemManager</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ParticleSystemManager.html#6f16f9bc2b124c7d051bee9c0b0a5ff0">parseScript</a>(DataStreamPtr &amp;stream, const String &amp;groupName)</td><td><a class="el" href="classOgre_1_1ParticleSystemManager.html">Ogre::ParticleSystemManager</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ParticleSystemManager.html#cbec6e41cd83bce4c74ccda2910a9f9d">ParticleAffectorFactoryIterator</a> typedef</td><td><a class="el" href="classOgre_1_1ParticleSystemManager.html">Ogre::ParticleSystemManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ParticleSystemManager.html#34238313f2463dd05a67442732f1b80b">ParticleAffectorFactoryMap</a> typedef</td><td><a class="el" href="classOgre_1_1ParticleSystemManager.html">Ogre::ParticleSystemManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ParticleSystemManager.html#e09f451e66186b1151d8938408bf643a">ParticleEmitterFactoryIterator</a> typedef</td><td><a class="el" href="classOgre_1_1ParticleSystemManager.html">Ogre::ParticleSystemManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ParticleSystemManager.html#e47b0ad1c92b7688fdd82b01faadb896">ParticleEmitterFactoryMap</a> typedef</td><td><a class="el" href="classOgre_1_1ParticleSystemManager.html">Ogre::ParticleSystemManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ParticleSystemManager.html#c35fdf5ee3749263881983cec21abd79">ParticleRendererFactoryIterator</a> typedef</td><td><a class="el" href="classOgre_1_1ParticleSystemManager.html">Ogre::ParticleSystemManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ParticleSystemManager.html#b020c8dc08fa7956c9b1fb400a99a027">ParticleSystemFactory</a> class</td><td><a class="el" href="classOgre_1_1ParticleSystemManager.html">Ogre::ParticleSystemManager</a></td><td><code> [friend]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ParticleSystemManager.html#56d3c0d02fed62ca777ced0646fe95ad">ParticleSystemManager</a>()</td><td><a class="el" href="classOgre_1_1ParticleSystemManager.html">Ogre::ParticleSystemManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ParticleSystemManager.html#70adc307673f285616c2676d5e73286e">ParticleSystemRendererFactoryMap</a> typedef</td><td><a class="el" href="classOgre_1_1ParticleSystemManager.html">Ogre::ParticleSystemManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ParticleSystemManager.html#6af21cf51363b600f9798487f6465518">ParticleSystemTemplateIterator</a> typedef</td><td><a class="el" href="classOgre_1_1ParticleSystemManager.html">Ogre::ParticleSystemManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ParticleSystemManager.html#0d577516475b87958099c37416c87d5c">ParticleTemplateMap</a> typedef</td><td><a class="el" href="classOgre_1_1ParticleSystemManager.html">Ogre::ParticleSystemManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ParticleSystemManager.html#7ae8a858947a4ad156f3ededf641be61">removeAllTemplates</a>(bool deleteTemplate=true)</td><td><a class="el" href="classOgre_1_1ParticleSystemManager.html">Ogre::ParticleSystemManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ParticleSystemManager.html#5a28bfef2b541e7d98d89c753ac4edde">removeTemplate</a>(const String &amp;name, bool deleteTemplate=true)</td><td><a class="el" href="classOgre_1_1ParticleSystemManager.html">Ogre::ParticleSystemManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Singleton.html#2b0622a1223ac3a0c6b9c53e787b8d93">Singleton</a>(void)</td><td><a class="el" href="classOgre_1_1Singleton.html">Ogre::Singleton&lt; T &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ParticleSystemManager.html#c1fb153f81ad10e1db632044dc996ad4">skipToNextCloseBrace</a>(DataStreamPtr &amp;chunk)</td><td><a class="el" href="classOgre_1_1ParticleSystemManager.html">Ogre::ParticleSystemManager</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ParticleSystemManager.html#04e7a89fcd2f544b4428cc33c3ca544a">skipToNextOpenBrace</a>(DataStreamPtr &amp;chunk)</td><td><a class="el" href="classOgre_1_1ParticleSystemManager.html">Ogre::ParticleSystemManager</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ParticleSystemManager.html#aae43e60e255abb2409146386bb657b8">~ParticleSystemManager</a>()</td><td><a class="el" href="classOgre_1_1ParticleSystemManager.html">Ogre::ParticleSystemManager</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ScriptLoader.html#d7758f66fa9246639426f3044478f709">~ScriptLoader</a>()</td><td><a class="el" href="classOgre_1_1ScriptLoader.html">Ogre::ScriptLoader</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Singleton.html#9bc0518bb06d12629e287149cdcc4b5d">~Singleton</a>(void)</td><td><a class="el" href="classOgre_1_1Singleton.html">Ogre::Singleton&lt; T &gt;</a></td><td></td></tr>
</table><hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:51:31 2008
</p>
</body>
</html>
